#
# spec file for package libgphoto2 (Version 2.4.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libgphoto2
BuildRequires:  doxygen fdupes gcc-c++ hal-devel libexif-devel libjpeg-devel libusb-devel
Url:            http://gphoto.org/
# bug437293
%ifarch ppc64
Obsoletes:      libgphoto2-64bit
%endif
#
%define prefix /usr
License:        LGPL v2.1 or later
Group:          Hardware/Camera
Summary:        A Digital Camera Library
Version:        2.4.3
Release:        3
Source0:        libgphoto2-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%package devel
Summary:        Development headers for libgphoto2
License:        LGPL v2.1 or later
Group:          Hardware/Camera
Requires:       libgphoto2 = %version libusb-devel
Requires:       libexif-devel

%description
gPhoto (GNU Photo) is a set of libraries for previewing, retrieving,
and capturing images from a range of supported digital cameras to your
local hard drive. It does not support digital cameras based on the USB
storage protocol. Those can be mounted by Linux directly.

As of this time, gPhoto supports around 500 cameras, listed on:

http://gphoto.sourceforge.net/proj/libgphoto2/support.php

or by running

gphoto2 --list-cameras



Authors:
--------
    Scott Fritzinger <scottf@scs.unr.edu>
    Lutz Mller <lutz@users.sourceforge.net>
    
    Eugene Crosser <crosser@average.org>
    Matt Martin <matt.martin@ieee.org>
    Gary Ross <gdr@hooked.net>
    M. Adam Kendall <joker@penguinpub.com>
    Del Simmons <del@gphoto.org>
    Bob Paauwe <bpaauwe@bobsplace.com>
    Cliff Wright <cliff@snipe444.org>
    Phill Hugo <phill@gphoto.org>
    Beat Christen <spiff@longstreet.ch>
    Warren Baird <wjbaird@bigfoot.com>
    Brent D. Metz <bmetz@vt.edu>
    Brian Hirt <bhirt@loopy.berkhirt.com>
    Mandrake <mandrake@lobotomy.com>
    Randy D. Scott <scottr@wwa.com>
    Paul S. Jenner <psj@mustec.eu.org>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ole Aamot <oleaa@ifi.uio.no>
    Mariusz Zynel <mariusz@mizar.org>
    Johannes Erdfelt <johannes@erdfelt.com>
    Werner Almesberger <almesber@lrc.di.epfl.ch>
    Ole W. Saastad <o.w.saastad@kjemi.uio.no>
    Veros Kaplan <xkaplan@informatics.muni.cz>
    Wolfgang Reissnegger
    Philippe Marzouk <philm@users.sourceforge.net>
    Edouard Lafargue <lafargue@oslo.geco-prakla.slb.com>
    Bart van Leeuwen <bart@netage.nl>
    M. Adam Kendall <joker@penguinpub.com>
    Mark Davies <mdavies@dial.pipex.com>
    Beat Christen <spiff@longstreet.ch>
    Gus Hartmann <hartmann@madison-expat.net>
    Raymond Penners <raymond@dotsphinx.com>
    Marcus Meissner <marcus@jet.franken.de>
    Hans Ulrich Niedermann <hun@users.sourceforge.net>
    Colin Marquardt <cmarqu@users.sourceforge.net>

%description devel
gPhoto (GNU Photo) is a set of libraries for previewing, retrieving,
and capturing images from a range of supported digital cameras to your
local hard drive.

These are its development libraries and headers.



Authors:
--------
    Scott Fritzinger <scottf@scs.unr.edu>
    Lutz Mller <lutz@users.sourceforge.net>
    
    Eugene Crosser <crosser@average.org>
    Matt Martin <matt.martin@ieee.org>
    Gary Ross <gdr@hooked.net>
    M. Adam Kendall <joker@penguinpub.com>
    Del Simmons <del@gphoto.org>
    Bob Paauwe <bpaauwe@bobsplace.com>
    Cliff Wright <cliff@snipe444.org>
    Phill Hugo <phill@gphoto.org>
    Beat Christen <spiff@longstreet.ch>
    Warren Baird <wjbaird@bigfoot.com>
    Brent D. Metz <bmetz@vt.edu>
    Brian Hirt <bhirt@loopy.berkhirt.com>
    Mandrake <mandrake@lobotomy.com>
    Randy D. Scott <scottr@wwa.com>
    Paul S. Jenner <psj@mustec.eu.org>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ole Aamot <oleaa@ifi.uio.no>
    Mariusz Zynel <mariusz@mizar.org>
    Johannes Erdfelt <johannes@erdfelt.com>
    Werner Almesberger <almesber@lrc.di.epfl.ch>
    Ole W. Saastad <o.w.saastad@kjemi.uio.no>
    Veros Kaplan <xkaplan@informatics.muni.cz>
    Wolfgang Reissnegger
    Philippe Marzouk <philm@users.sourceforge.net>
    Edouard Lafargue <lafargue@oslo.geco-prakla.slb.com>
    Bart van Leeuwen <bart@netage.nl>
    M. Adam Kendall <joker@penguinpub.com>
    Mark Davies <mdavies@dial.pipex.com>
    Beat Christen <spiff@longstreet.ch>
    Gus Hartmann <hartmann@madison-expat.net>
    Raymond Penners <raymond@dotsphinx.com>
    Marcus Meissner <marcus@jet.franken.de>
    Hans Ulrich Niedermann <hun@users.sourceforge.net>
    Colin Marquardt <cmarqu@users.sourceforge.net>

%lang_package
%prep
%setup -q

%build
%{?suse_update_config:%{suse_update_config -f . libgphoto2_port}}
AUTOPOINT=true autoreconf -fi
PATH="/usr/X11R6/bin:$PATH"			\
%configure					\
  --with-doc-dir=%{_defaultdocdir}/%{name}	\
  --with-drivers=all
make %{?jobs:-j%jobs}

%check
make check

%install
# skip-check-libtool-deps
export LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
%makeinstall
%{find_lang} libgphoto2-2
%{find_lang} libgphoto2_port-0
cat libgphoto2-2.lang libgphoto2_port-0.lang > libgphoto2-all.lang
pushd packaging/generic
	export CAMLIBS=$RPM_BUILD_ROOT/%_libdir/libgphoto2/%version/
	# Check the installed hal (in neededforbuild) if the directory
	# is still at the place we expect to avoid surprises.
	if [ ! -d /usr/share/hal/fdi/information/20thirdparty/ ] ; then
		echo "*** The hal FDI file location has changed. Fix the build."
		exit 1
	fi
	install -m 0755 -d          $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/
	./print-camera-list hal-fdi > $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
	# ./print-camera-list hal-fdi-dev > $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi
	if [ ! -s $RPM_BUILD_ROOT/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi ]; then
		echo "*** Did not generate a fdi map. Check the build."
		exit 1
	fi
popd
# udev helpers not used here.
rm $RPM_BUILD_ROOT/usr/%_lib/udev/check-mtp-device
rm $RPM_BUILD_ROOT/usr/%_lib/udev/check-ptp-camera
mv doc/doxygen-output/libgphoto2-api.html apidocs 
fn=$RPM_BUILD_ROOT/%{_libdir}/pkgconfig/libgphoto2_port.pc
grep -v driverdir= $fn > $fn.new
mv $fn.new $fn
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
%dir %{_defaultdocdir}/%{name}
%exclude %{_defaultdocdir}/%{name}/apidocs.html
%{_defaultdocdir}/%{name}/*
%{prefix}/share/%{name}
%{_libdir}/libgphoto2.so.*
%{_libdir}/libgphoto2_port.so.*
%{_mandir}/man3/libgphoto2.3*
%{_mandir}/man3/libgphoto2_port.3*
/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
# /usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi

%files lang -f libgphoto2-all.lang

%files devel
%defattr(-,root,root)
%doc apidocs
%{prefix}/include/gphoto2
%{prefix}/bin/gphoto2-config
%{prefix}/bin/gphoto2-port-config
%{_libdir}/libgphoto2.so
%{_libdir}/libgphoto2.la
%{_libdir}/libgphoto2_port.so
%{_libdir}/libgphoto2_port.la
%{_libdir}/pkgconfig/libgphoto2.pc
%{_libdir}/pkgconfig/libgphoto2_port.pc

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Sun Oct 19 2008 meissner@suse.de
- updated to 2.4.3 final stable release
	- Canon EOS tethered capture support
	- lots of bugfixes
	- new translations
* Mon Oct 06 2008 meissner@suse.de
- upgraded to intermittent svn snapshot
	- ptp2 bugfixes and new ids
	- moved more ids from canon to ptp2 driver
	- backported fixes from trunk
	- sierra storage info mode
	- examples started
* Tue Sep 09 2008 meissner@suse.de
- upgraded to 2.4.2.1 stable snapshot
	- lots of bugfixes and new ids
	- disable some incorrect USB ids for Mass Storage Only devices
	- merged ptp2 driver from TRUNK
	- byteswapping using <endian.h>
* Tue Aug 19 2008 lnussel@suse.de
- remove resmgr from buildrequires
* Thu Jul 17 2008 schwab@suse.de
- Fix byteswap macros.
* Sun Jul 13 2008 meissner@suse.de
- upgraded to 2.4.2 stable release
	- more ids, more bugfixes backmerged
* Sat Jul 05 2008 meissner@suse.de
- upgraded again to current svn state
	- fixes in canon capture handling
	- autoreconf for everything
* Sat Jun 28 2008 meissner@suse.de
- updated to current 2.4.1.3 branch state
	- ptp2 driver backmerged
	- bugfixes for new libtool/automake/autoconf
	- bugfixes and translations
* Sun Apr 13 2008 meissner@suse.de
- fixed glibc 2.8 problem with re_compile_pattern.
- fixed one topfield problem
* Fri Apr 11 2008 meissner@suse.de
- updated to current 2.4.1.2 branch state
	- topfield pvr added
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr 01 2008 meissner@suse.de
- updated to current 2.4 branch state
	- large startup speedup
	- Canon EOS capture mode fixes
* Fri Mar 28 2008 meissner@suse.de
- updated to final 2.4.1 release
	- small bugfixes
	- translations updates
* Wed Mar 19 2008 meissner@suse.de
- updated to current 2.4.0.99 BRANCH state
	- ptp2 driver lots of bugfixes and lots of new ids
	- canon driver timeout fix
	- disk.so suppression of known network fs
	- suppress Olympus mass storage id
	- hal patch upstreamed
* Tue Mar 11 2008 schwab@suse.de
- Fix configure script.
* Tue Mar 04 2008 meissner@suse.de
- use info.subsystem in our FDI files.
* Fri Feb 29 2008 meissner@suse.de
- fixed biarch problem introduced by last fix.
* Fri Feb 29 2008 meissner@suse.de
- remove version checks for suse10.0, remove one line
  that rpmlint does not like from a pkgconfig file.
* Thu Sep 13 2007 stbinner@suse.de
- don't package API documentation into main lib package (#310143)
* Tue Aug 07 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Mon Jul 30 2007 meissner@suse.de
- upgraded to 2.4.0 final
	- only small fixes and some new USB ids
* Fri Jun 22 2007 meissner@suse.de
- upgraded to current trunk svn
	- new driver ids
	- PTP2 EOS 400D support enhancements
	- fixed a max packetsize problem
* Mon Jun 11 2007 meissner@suse.de
- upgraded to current trunk svn
	- various cleanups
	- Canon EOS 400D capture support started.
- make check now in %%check, postun runs ldconfig
* Thu May 17 2007 meissner@suse.de
- upstream 2.3.1.4.trunk:
  - lots of bugfixes coming from Coverity
  - bugfixes
  - new USB ids
- adjusted requirements to libusb-devel
* Tue Feb 27 2007 dmueller@suse.de
- adjust BuildRequires: libexif -> libexif-devel
* Wed Feb 21 2007 meissner@suse.de
- Upgraded to current upstream SVN.
	- lots of new ids
	- several bugfixes
- Disabled mDNSresponder stuff. Breaks for too much people
  without large benefit (only 1 or 2 existing cameras can use it).
* Sat Jan 13 2007 meissner@suse.de
- use upstream current SVN with last patch included
- run make check
* Fri Jan 12 2007 dmueller@suse.de
- fix pedantic header compile
* Mon Jan 08 2007 meissner@suse.de
- fixed libdir problem.
* Mon Jan 08 2007 meissner@suse.de
- upgraded to 2.3.1.3.trunk.
	- large parts of PTP2 driver rewritten.
	- possibility to download data without need
  to keep it in memory.
* Tue Dec 05 2006 meissner@suse.de
- upgraded to 2.3.0 final.
	- some new ids
	- bugfixes
* Tue Nov 14 2006 meissner@suse.de
- Some new ids added.
- fixed broken canon driver (GP_LOG does not exist).
- Fixed && -> &
* Thu Nov 09 2006 meissner@suse.de
- updated to current SVN:
	- lots of new PTP USB ids
	- small bugfixes
* Mon Oct 30 2006 meissner@suse.de
- include doxygen documentation
- use correct types for portable_audio_player so we
  get ACLs from hal-resmgr.
* Fri Oct 27 2006 meissner@suse.de
- split into libgphoto2 and libgphoto2-devel
- updated to current TRUNK
	- some bugfixes (strncat)
	- some new USB ids.
* Fri Oct 27 2006 ro@suse.de
- provide libgphoto2-devel until/unless package is split
* Tue Oct 17 2006 meissner@suse.de
- upgraded to current trunk.
	- MTP playlist support.
	- More MTP fixes.
	- Lots of new ids.
	- Fast CANON directory retrieval.
* Tue Sep 05 2006 meissner@suse.de
- dbus_connection_disconnect() -> dbus_connection_close()
* Tue Aug 29 2006 meissner@suse.de
- more bugfixes from trunk and split off C# bindings
  package.
* Mon Aug 28 2006 meissner@suse.de
- upgraded to current trunk version.
	- MTP fixes, including handling of Umlauts
	- New device ids
	- C# binding fixes
- removed upstreamed patches.
* Tue Aug 01 2006 dmueller@suse.de
- add compiler warning fix for installed headers
* Mon Jun 19 2006 meissner@suse.de
- Upgraded to 2.2.0 release.
	- More new USB ids.
	- Lots of MTP fixes.
	- wait_for_event handling.
	- metadata handling for MTP.
* Wed Apr 26 2006 meissner@suse.de
- Readd names and "libgphoto2 support" tag for the MTP devices.
- Mark the devices as "user" to get correct resmgr support.
  (both reported by thoenig)
* Sat Apr 22 2006 meissner@suse.de
- Added 4 new PTP ids.
* Wed Apr 05 2006 meissner@suse.de
- Report MTP Music Players correctly via FDI (hackish solution) #163015
- Some more new PTP ids.
* Mon Mar 27 2006 meissner@suse.de
- Merged some important fixes from CVS.
- libgphoto2-map-mp3.patch: Map MP3 mimetypes correctly to PTP
  ObjectFormat codes.
- libgphoto2-mtp-fixes.patch: Fixed some read/write problems on PTP
  compatible music complayers.
- libgphoto2-new-usbids.patch: New USB IDs collected over the last
  few weeks.
* Wed Feb 22 2006 stbinner@suse.de
- don't require hal on 9.2 supplementary distributions
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 meissner@suse.de
- Ignore Olympus cameras with Sierra firmware, since
  they also appear as storage devices.
- Prepare for adding "camera" to "info.capabilities".
- Some bugfixes.
* Mon Jan 23 2006 meissner@suse.de
- Upgraded to current CVS.
	- More PTP / MTP bugfixes.
* Mon Jan 16 2006 meissner@suse.de
- Upgraded to current CVS.
	- Lots of MTP / PTP fixes.
	- PTP configuration handling rewrite
- use -fstack-protector only in SL > 10.0
* Thu Jan 12 2006 meissner@suse.de
- Upgraded to current CVS.
	- Lots of MTP and iRiver related fixes.
* Tue Jan 10 2006 meissner@suse.de
- Upgraded to 2.1.99
- Upgraded to current CVS.
	- Various new ids.
	- Various bugfixes in ptp driver.
	- translation updates.
* Fri Dec 16 2005 meissner@suse.de
- Upgraded to current CVS. (Some new ids, Ricoh R3 fixes).
- Fixed build in PLUS.
* Mon Nov 28 2005 meissner@suse.de
- Upgraded to current CVS (almost only new model ids).
- Dropped last patch, I made fixes for this upstream, but parts
  of the problem are actually on the gnome-volume-manager side.
  The fdi file in this package only contains non-usb-storage accessible
  cameras.
* Fri Nov 11 2005 fejj@suse.de
- Revert fdi file fixes since they actually break them worse than before
* Mon Oct 10 2005 meissner@suse.de
- Newest CVS snapshot:
	- Changed HAL fdi file according to upstream
  suggestion.
* Tue Sep 27 2005 meissner@suse.de
- Upgraded to latest CVS snapshot.
	- reduce memory footprint when downloading images
	- new ids
* Sat Aug 20 2005 schwab@suse.de
- Don't require hotplug.
* Thu Aug 18 2005 meissner@suse.de
- removed /etc/hotplug/usb/usbcam.usermap use. #105276
* Wed Aug 17 2005 meissner@suse.de
- Merged to current CVS.
	- New "disk:" support to support mass storage cameras (written
  by Marcus M.), changes in libgphoto2_port/disk/disk.c, libgphoto2/
  gphoto2-abilities-list.c and camlibs/directory/directory.c.
  Tested and working with gphoto2, f-spot, digikam, and KDE camera:/
	- usb - suppress some unnecessary "usb:XXX,YYY" ports.
	- escape & in HAL FDI maps.
	- Some small bugfixes and new ids.
* Fri Aug 12 2005 meissner@suse.de
- Upgraded to current CVS.
	- Some new ids
	- Some bugfixes for PTP.
- FDI patch is obsolete.
* Tue Aug 09 2005 meissner@suse.de
- Supply the libgphoto2 camera name in the FDI script.
* Tue Jul 19 2005 meissner@suse.de
- gphoto-desktopdev is no longer used at all, all done
  via hal-resmgr.
- Generate usbmap and fdimap on the fly during build,
  no longer shipped seperately.
- Create FDI map XML file and install into freedesktop
  FDI space.
* Mon Jul 11 2005 meissner@suse.de
- Upgraded to latest development snapshot.
	- buildsystem changes, now generates slightly
  different shared drivers
	- disk backend with hal support
	- PTP driver enhancements, especially for Nikon D70
	- new HP Photosmart 215 driver
* Mon Jun 27 2005 meissner@suse.de
- upgraded to 2.1.6.
	- added 3 more cameras, some final fixes.
* Fri Jun 10 2005 meissner@suse.de
- Upgraded to 2.1.6rc2.
	- 2.6.12 kernel fixes
	- libusb 0.10 fixes
	- various new cameras and features.
* Mon Mar 21 2005 meissner@suse.de
- Added Sea & Sea 5000G, reported missing by Gerald.
* Tue Mar 01 2005 meissner@suse.de
- get rid of slashes in camera names.
* Tue Feb 22 2005 meissner@suse.de
- last change (etc/dev.d/usb) is not necessary.
* Fri Feb 18 2005 meissner@suse.de
- fixed directory lists.
* Fri Feb 18 2005 meissner@suse.de
- Upgraded to current CVS.
	- Nikon and Pentax Sierra mode support.
	- bugfixes and some new models for existing drivers.
- Move gphoto-desktop dev also to /etc/dev.d/usb/, since hotplug
  is no longer used, but udev is.
* Fri Feb 04 2005 meissner@suse.de
- Upgraded to current 2.1.6 development branch
  version.
* Thu Dec 16 2004 meissner@suse.de
- Upgraded to 2.1.5 release.
* Tue Nov 30 2004 meissner@suse.de
- Upgraded to 2.1.5rc1.
* Tue Oct 19 2004 meissner@suse.de
- Upgraded to current CVS head versions.
- no -> nb renamed.
- Added starts of PTP configuration magic.
* Fri Sep 17 2004 meissner@suse.de
- Some new ids of new cameras extracted from HEAD branch.
* Mon Sep 06 2004 meissner@suse.de
- Upgraded to current CVS.
	- PTP config handling improved.
	- More cameras.
* Tue Aug 31 2004 meissner@suse.de
- Upgrade to current CVS.
	- detach kernel drivers for stv680 and spca50x
  if used.
	- PTP property handling.
	- sq905 fixes.
* Thu Aug 19 2004 meissner@suse.de
- Updated to current HEAD development branch.
	- lots of new PTP ids
	- handling of multiple USB cameras at once.
	- lots of fixes in other drivers.
	- new drivers for newer small cameras.
* Mon Apr 19 2004 meissner@suse.de
- %%jobs, fixed syntax aliasing problems.
* Wed Apr 07 2004 meissner@suse.de
- removed hotplug from neededforbuild.
* Tue Apr 06 2004 adrian@suse.de
- hardcode camera hotplug file name
  (partly workarounds #37902)
* Mon Mar 22 2004 meissner@suse.de
- updated from branch:
	- canon: 2 critical bugfixes, 1 new id.
	- ptp2:  better working capture code, new ids.
	- agfa cl20: heaps of fixes
	- misc: new camera ids for several drivers.
- updated usbcam.usermap accordingly.
* Thu Mar 18 2004 adrian@suse.de
- create icon and register device in resmgr via hotplug
* Mon Jan 19 2004 meissner@suse.de
- Upgraded to final 2.1.4 version.
* Wed Jan 07 2004 meissner@suse.de
- Upgraded to current CVS (head4):
   - multiple cameras of same type at once support.
   - several new camera ids, lots of bug fixes.
* Fri Nov 21 2003 meissner@suse.de
- upgraded to current CVS head with all the Ricoh G3 fixes.
* Wed Oct 15 2003 meissner@suse.de
- do not build as root.
* Mon Oct 13 2003 meissner@suse.de
- Upgraded to current development snapshot.
* Wed Sep 17 2003 meissner@suse.de
- sierra driver: Do not stop a never started progress context.
- ptp2 driver: Increase timeout for capture #30946
* Mon Sep 15 2003 meissner@suse.de
- added diff with bugfixes and new camera ids from current cvs.
  - Fixes and new ids in PTP2 driver
  - Fixes and new ids in Canon driver
  - Make pdc640 driver recognize cameras at all.
  - Fixes for soundvision driver, new camera model.
* Sun Aug 10 2003 meissner@suse.de
- Updated to 2.1.2 release.
* Mon Jun 16 2003 meissner@suse.de
- updated to 2.1.2 rc3 level (called dev11).
* Thu Jun 12 2003 meissner@suse.de
- fixed build, added %%find_lang usage.
* Thu Jun 12 2003 meissner@suse.de
- added hotplug to neededforbuild due to missing directories.
- added missing dir %%_libdir/libgphoto2.
* Tue May 13 2003 meissner@suse.de
- %%_lib fix.
* Tue May 13 2003 meissner@suse.de
- Upgraded to 2.1.2dev8 (current CVS):
	- new ptp2 driver
	- agfa cl20 driver
	- spca50x drivers merged into one
	- lots of bugs fixed.
- fixed filelist (added manpages).
* Mon Feb 17 2003 meissner@suse.de
- Drop our own usbcam hotplug script and use desktopdev from resmgr
  instead.
* Mon Feb 17 2003 meissner@suse.de
- Upgraded to current CVS: bugfixes, pdc640 driver fixed again.
- Fixed serial device open if resmgr is not running.
- Updated usbids.
* Thu Feb 06 2003 meissner@suse.de
- Upgraded to current CVS.
	- Fixed support for Typhoon Stylocam, some
  more stuff in pdc640 driver.
- Fixed usbcam script now for real.
* Sat Jan 25 2003 meissner@suse.de
- Upgraded to current CVS.
	- New gcam300, pccam300, benq driver.
	- Fixes in others.
- Fixed usermap, and usbcam script.
* Thu Jan 09 2003 meissner@suse.de
- Upgraded to current CVS version.
	- New stv0674 camera driver.
	- Fixes in sierra, ptp, casio, largan camlibs.
	- More ids in others.
- resmgr style locking for serial devices.
* Mon Dec 02 2002 meissner@suse.de
- Final 2.1.1, translations complete, refreshed usbmap.
* Wed Nov 20 2002 meissner@suse.de
- neededforbuild += resmgr
* Mon Nov 18 2002 meissner@suse.de
- Updated to RC1 of libgphoto 2.1.1.
	- spca504_flash camlib.
	- More PTP camera models, some PTP endianess problems fixed.
- Fixed some 64bit bigendian and type punning problems with gcc 3.3.
- Use new resmgr in usermap script if present.
* Thu Oct 31 2002 meissner@suse.de
- Updated to latest upstream:
	- SiPix Stylecam Blink driver added.
	- More models for other cameras.
	- Bugfixes.
* Thu Sep 26 2002 meissner@suse.de
- Updated to latest upstream:
	- More Canon Models.
	- New Drivers: Kodak DC210, Largan lMini, pccam600, Mustek GSmart,
  SX330Z.
* Fri Aug 23 2002 meissner@suse.de
- Do not cat into system files, use seperate files for USB usermaps.
* Tue Aug 20 2002 meissner@suse.de
- added prereq: hotplug /bin/cat
* Wed Jul 31 2002 meissner@suse.de
- dropped provides: gphoto
* Mon Jul 29 2002 meissner@suse.de
- splitted up from gphoto.
